Bulk update content blocks
Updates multiple content blocks in one request. Scoped to your integration’s institution via Basic Auth credentials.
PATCH
/content-blocks/bulkRequest body
requiredapplication/jsonOne of:
object
updatesBulkUpdateContentBlockItem[]requiredmin items 1 · max items 100
Show propertiesHide properties
Array of
BulkUpdateContentBlockItemidstringrequirednamestringmin length 1 · max length 100
descriptionstringmax length 10000
statusstringAllowed:
PUBLISHEDCOMING_SOONDRAFTDISABLEDpositionintegermin 0
dueDatestring<date-time> | nullstartDatestring<date-time> | nullexpectedLearnTimeMinutesinteger | nullmin 1
object
idsstring[]requiredmin items 1 · max items 100
updateobjectrequiredShow propertiesHide properties
namestringmin length 1 · max length 100
descriptionstringmax length 10000
statusstringAllowed:
PUBLISHEDCOMING_SOONDRAFTDISABLEDdueDatestring<date-time> | nullstartDatestring<date-time> | nullexpectedLearnTimeMinutesinteger | nullmin 1
Responses
200Content blocks updated
dataBulkUpdateContentBlocksResultrequiredShow propertiesHide properties
updatedobject[]requiredShow propertiesHide properties
Array of
objectidstringrequirednamestringrequiredstatusstringrequiredcountintegerrequiredconflictsPositionConflict[]requiredShow propertiesHide properties
Array of
PositionConflictblockIdstringrequiredblockNamestringrequiredconditionIdstringrequiredrequiredBlockIdstringrequiredrequiredBlockNamestringrequiredmessagestringrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4400Bad Request
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring403Forbidden
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X PATCH "https://fuxam.app/api/v4/content-blocks/bulk" \
-H "Content-Type: application/json" \
-d '{
"updates": [
{
"id": "string",
"name": "string",
"description": "string",
"status": "PUBLISHED",
"position": 0,
"dueDate": "2024-01-01T00:00:00Z",
"startDate": "2024-01-01T00:00:00Z",
"expectedLearnTimeMinutes": 0
}
]
}'const response = await fetch("https://fuxam.app/api/v4/content-blocks/bulk", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"updates": [
{
"id": "string",
"name": "string",
"description": "string",
"status": "PUBLISHED",
"position": 0,
"dueDate": "2024-01-01T00:00:00Z",
"startDate": "2024-01-01T00:00:00Z",
"expectedLearnTimeMinutes": 0
}
]
})
});import requests
response = requests.patch(
"https://fuxam.app/api/v4/content-blocks/bulk",
headers={
"Content-Type": "application/json"
},
json={
"updates": [
{
"id": "string",
"name": "string",
"description": "string",
"status": "PUBLISHED",
"position": 0,
"dueDate": "2024-01-01T00:00:00Z",
"startDate": "2024-01-01T00:00:00Z",
"expectedLearnTimeMinutes": 0
}
]
},
)Response
{
"data": {
"updated": [
{
"id": "string",
"name": "string",
"status": "string"
}
],
"count": 0,
"conflicts": [
{
"blockId": "string",
"blockName": "string",
"conditionId": "string",
"requiredBlockId": "string",
"requiredBlockName": "string",
"message": "string"
}
]
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}